PROJ = toamiga
PROJFILE = toamiga.mak
DEBUG = 0

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
BREXCLUDE  = C:\USR\LUCHO\C\BITFIELD.C_ C:\USR\LUCHO\C\CURRENT.STS\
	C:\USR\LUCHO\C\DOPRINTF.C_ C:\USR\LUCHO\C\HOW2MAKE.KOM\
	C:\USR\LUCHO\C\QC.INI C:\USR\LUCHO\C\SYSERTST.C_\
	C:\USR\LUCHO\C\TOAMIGA.BIN C:\USR\LUCHO\C\TOAMIGA.COM\
	C:\USR\LUCHO\C\TOAMIGA.MAK
BRFLAGS  = /o $(PROJ).bsc /Es /Em
BROWSE	= 1
CC  = cl
CFLAGS_G  = /W4 /BATCH /FR$*.sbr
CFLAGS_D  = /qc /Zr /Zi /Od
CFLAGS_R  = /Os /Ol /Oe /Or
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /NOI /NOE	/TINY /BATCH
LFLAGS_D  = /CO /FAR
LFLAGS_R  = /FAR /NOP
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
RT_OBJS  = crtcom.lib

OBJS  = TOAMIGA.obj CONVERT.obj
SBRS  = TOAMIGA.sbr CONVERT.sbr

all: $(PROJ).com

.SUFFIXES:
.SUFFIXES: .sbr .obj .c

TOAMIGA.obj : TOAMIGA.C toamiga.h

TOAMIGA.sbr : TOAMIGA.C toamiga.h

CONVERT.obj : CONVERT.C toamiga.h

CONVERT.sbr : CONVERT.C toamiga.h


$(PROJ).bsc : $(SBRS)
	$(PWBRMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).com : $(OBJS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
	$(LINKER) @$(PROJ).lrf
	$(NMAKEBSC1) MAKEFLAGS=
	$(NMAKEBSC2) $(NMFLAGS) -f $(PROJFILE) $(PROJ).bsc


.c.sbr :
!IF $(DEBUG)
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_D) /FR$@ $<
!ELSE
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_R) /FR$@ $<
!ENDIF

.c.obj :
!IF $(DEBUG)
	$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
	$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: $(PROJ).com
	$(PROJ).com $(RUNFLAGS)

debug: $(PROJ).com
	CV $(CVFLAGS) $(PROJ).com $(RUNFLAGS)
